Bug 96706 - Writer text boxes do not apply default style
Summary: Writer text boxes do not apply default style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112055 (view as bug list)
Depends on:
Blocks: Textbox
  Show dependency treegraph
 
Reported: 2015-12-24 08:30 UTC by Antonello
Modified: 2019-04-07 03:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Descriptive screenshot (33.68 KB, image/png)
2015-12-24 08:30 UTC, Antonello
Details
Example odt (12.29 KB, application/vnd.oasis.opendocument.text)
2015-12-24 08:31 UTC, Antonello
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonello 2015-12-24 08:30:36 UTC
Created attachment 121528 [details]
Descriptive screenshot

Steps to reproduce:
1) In libreoffice writer write some normal text and then add a text box using the AI icon button (see screenshot)
2) Change any of the Default style element (e.g. font red)
3) Changes are applied only to the "normal" paragraph, but not on the content of text box.

Expected behaviour:
As the "Default style" acts as master, the content of the box should apply the new style definition as well.
Comment 1 Antonello 2015-12-24 08:31:18 UTC
Created attachment 121529 [details]
Example odt
Comment 2 Buovjaga 2015-12-27 16:09:28 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a4764cfa80270f973da5861d0ddc28298bf16f4d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-24_22:45:12
Locale: fi-FI (fi_FI)
Comment 3 QA Administrators 2017-12-08 08:07:24 UTC Comment hidden (obsolete)
Comment 4 Telesto 2018-02-15 19:49:33 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: 06cfd5a962f9d8d9462fc270f1b1f730c90bddfe
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Heiko Tietze 2018-02-21 09:21:25 UTC
*** Bug 112055 has been marked as a duplicate of this bug. ***
Comment 6 Telesto 2018-02-21 11:03:42 UTC
For the record. Quote from bug 112055 comment 4; 

Regina Henschel

Currently the elements inside the text box are not able to use custom styles (those from styles.xml). That is a limitation of LibreOffice and not covered by file format.

Currently the <span> elements in the paragraphs inside the text box can use the same automatic styles as the <span> elements in the original text. LibreOffice uses it already, but not in all cases. That can be improved, but the current solution is not really an error.

The real problem is, that the paragraph styles are not handled correctly. The original text uses paragraph style "Standard", which is "Default style" in the UI. Because of the lacking feature of using custom styles from styles.xml, currently special automatic paragraph styles are generated in custom.xml. But that is wrongly done. It would be sufficient, if these special styles would get a style:parent-style-name="Standard" and nothing else. And in case the original text uses already an automatic paragraph style, the same automatic style can be used directly in the text-box.

That is about file format. Changes in the internal model might be more difficult.
Comment 7 QA Administrators 2019-04-07 03:44:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug